> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry execution

> Retries a completed or failed workflow execution by creating a new execution with a new session



## OpenAPI

````yaml post /executions/retry
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /executions/retry:
    post:
      tags:
        - Executions
      summary: Retry execution
      description: >-
        Retries a completed or failed workflow execution by creating a new
        execution with a new session
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: The execution ID to retry
              required:
                - id
        required: true
      responses:
        '200':
          description: Execution retry initiated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the retry was initiated successfully
                  message:
                    type: string
                    description: Status message
                  execution:
                    type: object
                    properties:
                      execution:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the execution
                              workflow:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the workflow being executed
                                  name:
                                    type: string
                                    description: Name of the workflow being executed
                                required:
                                  - id
                                  - name
                              batch:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  id:
                                    type: string
                                    description: ID of the execution batch
                                  name:
                                    type: string
                                    description: Name of the execution batch
                                required:
                                  - id
                                  - name
                                description: >-
                                  Batch information if execution is part of a
                                  batch
                              logins:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: ID of the login used for execution
                                    name:
                                      type: string
                                      description: Name of the login used for execution
                                  required:
                                    - id
                                    - name
                              authentications:
                                type: array
                                items:
                                  $ref: '#/components/schemas/Union_2'
                                description: Authentication responses for this execution
                              startTime:
                                type: string
                                format: date-time
                                description: When the execution started
                              params:
                                type: object
                                additionalProperties: {}
                                description: Execution parameters
                              metadata:
                                type: object
                                additionalProperties: {}
                                description: Execution metadata
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: Execution name
                              startBlock:
                                oneOf:
                                  - $ref: '#/components/schemas/Login_6'
                                  - $ref: '#/components/schemas/FormBlock_7'
                                  - $ref: '#/components/schemas/FillDocument_8'
                                  - $ref: '#/components/schemas/FillSpreadsheet_9'
                                  - $ref: '#/components/schemas/MouseBlock_10'
                                  - $ref: '#/components/schemas/HoverBlock_11'
                                  - $ref: '#/components/schemas/Search_12'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: Input
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        oneOf:
                                          - $ref: '#/components/schemas/Union_13'
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: SensitiveTextInput
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: Dropdown
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: NativeDropdown
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: Checkbox
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Input
                                  - $ref: '#/components/schemas/DateInput_16'
                                  - $ref: '#/components/schemas/Dropdown_17'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: Extract
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_prompt_schema_useVision_18
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Extract
                                  - $ref: '#/components/schemas/ParseDocument_20'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: ExtractFromInput
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_inputText_prompt_schema_21
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Generate
                                  - $ref: '#/components/schemas/ExtractImages_23'
                                  - $ref: '#/components/schemas/QueryKnowledgeBase_24'
                                  - $ref: '#/components/schemas/FindDocument_25'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: API
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_method_route_data_26
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: API
                                  - $ref: '#/components/schemas/Navigate_28'
                                  - $ref: '#/components/schemas/ClosePage_29'
                                  - $ref: '#/components/schemas/ClosePopup_30'
                                  - $ref: '#/components/schemas/Multistep_31'
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_32
                                  - $ref: '#/components/schemas/Wait_33'
                                  - $ref: '#/components/schemas/WaitForCondition_34'
                                  - $ref: >-
                                      #/components/schemas/WaitForCaptchaSolve_35
                                  - $ref: '#/components/schemas/FailOnCondition_36'
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_37
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_38
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_39
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_40
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_41
                                  - $ref: '#/components/schemas/DownloadFileBlock_42'
                                  - $ref: '#/components/schemas/SaveAsPDFBlock_43'
                                  - $ref: '#/components/schemas/CodeV2_44'
                                  - $ref: '#/components/schemas/Transform_45'
                                  - $ref: '#/components/schemas/ParsetoCSV_46'
                                  - $ref: '#/components/schemas/RemovePagesFromPdf_47'
                                  - $ref: '#/components/schemas/ExitFromLoop_48'
                                  - $ref: '#/components/schemas/Next_49'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: SendEmail
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_toAddresses_ccAddresses_subject_50
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: SendEmail
                                    description: >-
                                      A block that sends an email from the
                                      workflow with templated content and file
                                      attachments
                                  - $ref: '#/components/schemas/SearchandNavigate_52'
                                  - $ref: '#/components/schemas/UnzipFile_53'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: LoopV2
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: '#/components/schemas/Union_54'
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                      sequenceData:
                                        type: object
                                        properties:
                                          sequence:
                                            type: array
                                            items:
                                              $ref: >-
                                                #/components/schemas/LoopV2NestedBlockInitializer
                                            description: Sequence of blocks within the loop
                                        required:
                                          - sequence
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                      - sequenceData
                                    title: Loop
                                  - $ref: '#/components/schemas/If_56'
                                  - type: 'null'
                                description: >-
                                  The block where execution started, if
                                  specified
                              downloads:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type: string
                                    enum:
                                      - pending
                                      - in_progress
                                      - success
                                      - failed
                                  files:
                                    type: array
                                    items:
                                      $ref: '#/components/schemas/FileInfo'
                                  message:
                                    type: string
                                required:
                                  - status
                                  - files
                                description: File downloads from the execution
                              contextAuthentications:
                                type: array
                                items:
                                  $ref: >-
                                    #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                                description: >-
                                  Session authentication responses with login
                                  summary for this execution
                              parentExecutionId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  ID of the parent execution that triggered this
                                  execution
                              sessionId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  ID of the session associated with this
                                  execution
                              agentConversationThreadId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  ID of the linked agent conversation thread, if
                                  this execution was triggered by an agent
                              attempts:
                                type: number
                                description: >-
                                  Number of times this execution has been
                                  attempted (including retries)
                              totalAttempts:
                                type: number
                                description: >-
                                  Total number of attempts allowed for this
                                  execution (initial + retries)
                              isLastAttempt:
                                type: boolean
                                description: >-
                                  Whether this is the last attempt for this
                                  execution (attempts >= totalAttempts)
                              isTest:
                                type: boolean
                                description: Whether this execution is a test run
                              status:
                                type: string
                                enum:
                                  - InProgress
                              liveViewUrl:
                                type:
                                  - string
                                  - 'null'
                                description: URL for live view of the execution
                              browserSessionId:
                                type: string
                                description: ID of the browser session used for execution
                              browserSessionVendorId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  Vendor-specific session ID from the serverless
                                  browser provider
                            required:
                              - id
                              - workflow
                              - batch
                              - logins
                              - authentications
                              - startTime
                              - params
                              - metadata
                              - name
                              - startBlock
                              - contextAuthentications
                              - sessionId
                              - agentConversationThreadId
                              - attempts
                              - totalAttempts
                              - isLastAttempt
                              - isTest
                              - status
                              - liveViewUrl
                              - browserSessionId
                              - browserSessionVendorId
                            title: Active Execution (In Progress or Paused)
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the execution
                              workflow:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the workflow being executed
                                  name:
                                    type: string
                                    description: Name of the workflow being executed
                                required:
                                  - id
                                  - name
                              batch:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  id:
                                    type: string
                                    description: ID of the execution batch
                                  name:
                                    type: string
                                    description: Name of the execution batch
                                required:
                                  - id
                                  - name
                                description: >-
                                  Batch information if execution is part of a
                                  batch
                              logins:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: ID of the login used for execution
                                    name:
                                      type: string
                                      description: Name of the login used for execution
                                  required:
                                    - id
                                    - name
                              authentications:
                                type: array
                                items:
                                  $ref: '#/components/schemas/Union_2'
                                description: Authentication responses for this execution
                              startTime:
                                type: string
                                format: date-time
                                description: When the execution started
                              params:
                                type: object
                                additionalProperties: {}
                                description: Execution parameters
                              metadata:
                                type: object
                                additionalProperties: {}
                                description: Execution metadata
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: Execution name
                              startBlock:
                                oneOf:
                                  - $ref: '#/components/schemas/Login_6'
                                  - $ref: '#/components/schemas/FormBlock_7'
                                  - $ref: '#/components/schemas/FillDocument_8'
                                  - $ref: '#/components/schemas/FillSpreadsheet_9'
                                  - $ref: '#/components/schemas/MouseBlock_10'
                                  - $ref: '#/components/schemas/HoverBlock_11'
                                  - $ref: '#/components/schemas/Search_12'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: Input
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        oneOf:
                                          - $ref: '#/components/schemas/Union_13'
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: SensitiveTextInput
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: Dropdown
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: NativeDropdown
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: Checkbox
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Input
                                  - $ref: '#/components/schemas/DateInput_16'
                                  - $ref: '#/components/schemas/Dropdown_17'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: Extract
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_prompt_schema_useVision_18
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Extract
                                  - $ref: '#/components/schemas/ParseDocument_20'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: ExtractFromInput
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_inputText_prompt_schema_21
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Generate
                                  - $ref: '#/components/schemas/ExtractImages_23'
                                  - $ref: '#/components/schemas/QueryKnowledgeBase_24'
                                  - $ref: '#/components/schemas/FindDocument_25'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: API
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_method_route_data_26
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: API
                                  - $ref: '#/components/schemas/Navigate_28'
                                  - $ref: '#/components/schemas/ClosePage_29'
                                  - $ref: '#/components/schemas/ClosePopup_30'
                                  - $ref: '#/components/schemas/Multistep_31'
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_32
                                  - $ref: '#/components/schemas/Wait_33'
                                  - $ref: '#/components/schemas/WaitForCondition_34'
                                  - $ref: >-
                                      #/components/schemas/WaitForCaptchaSolve_35
                                  - $ref: '#/components/schemas/FailOnCondition_36'
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_37
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_38
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_39
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_40
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_41
                                  - $ref: '#/components/schemas/DownloadFileBlock_42'
                                  - $ref: '#/components/schemas/SaveAsPDFBlock_43'
                                  - $ref: '#/components/schemas/CodeV2_44'
                                  - $ref: '#/components/schemas/Transform_45'
                                  - $ref: '#/components/schemas/ParsetoCSV_46'
                                  - $ref: '#/components/schemas/RemovePagesFromPdf_47'
                                  - $ref: '#/components/schemas/ExitFromLoop_48'
                                  - $ref: '#/components/schemas/Next_49'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: SendEmail
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_toAddresses_ccAddresses_subject_50
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: SendEmail
                                    description: >-
                                      A block that sends an email from the
                                      workflow with templated content and file
                                      attachments
                                  - $ref: '#/components/schemas/SearchandNavigate_52'
                                  - $ref: '#/components/schemas/UnzipFile_53'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: LoopV2
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: '#/components/schemas/Union_54'
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                      sequenceData:
                                        type: object
                                        properties:
                                          sequence:
                                            type: array
                                            items:
                                              $ref: >-
                                                #/components/schemas/LoopV2NestedBlockInitializer
                                            description: Sequence of blocks within the loop
                                        required:
                                          - sequence
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                      - sequenceData
                                    title: Loop
                                  - $ref: '#/components/schemas/If_56'
                                  - type: 'null'
                                description: >-
                                  The block where execution started, if
                                  specified
                              downloads:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  status:
                                    type: string
                                    enum:
                                      - pending
                                      - in_progress
                                      - success
                                      - failed
                                  files:
                                    type: array
                                    items:
                                      $ref: '#/components/schemas/FileInfo'
                                  message:
                                    type: string
                                required:
                                  - status
                                  - files
                                description: File downloads from the execution
                              contextAuthentications:
                                type: array
                                items:
                                  $ref: >-
                                    #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                                description: >-
                                  Session authentication responses with login
                                  summary for this execution
                              parentExecutionId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  ID of the parent execution that triggered this
                                  execution
                              sessionId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  ID of the session associated with this
                                  execution
                              agentConversationThreadId:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  ID of the linked agent conversation thread, if
                                  this execution was triggered by an agent
                              attempts:
                                type: number
                                description: >-
                                  Number of times this execution has been
                                  attempted (including retries)
                              totalAttempts:
                                type: number
                                description: >-
                                  Total number of attempts allowed for this
                                  execution (initial + retries)
                              isLastAttempt:
                                type: boolean
                                description: >-
                                  Whether this is the last attempt for this
                                  execution (attempts >= totalAttempts)
                              isTest:
                                type: boolean
                                description: Whether this execution is a test run
                              status:
                                type: string
                                enum:
                                  - Enqueued
                            required:
                              - id
                              - workflow
                              - batch
                              - logins
                              - authentications
                              - startTime
                              - params
                              - metadata
                              - name
                              - startBlock
                              - contextAuthentications
                              - sessionId
                              - agentConversationThreadId
                              - attempts
                              - totalAttempts
                              - isLastAttempt
                              - isTest
                              - status
                            title: Enqueued Execution
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the execution
                              workflow:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: ID of the workflow being executed
                                  name:
                                    type: string
                                    description: Name of the workflow being executed
                                required:
                                  - id
                                  - name
                              batch:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  id:
                                    type: string
                                    description: ID of the execution batch
                                  name:
                                    type: string
                                    description: Name of the execution batch
                                required:
                                  - id
                                  - name
                                description: >-
                                  Batch information if execution is part of a
                                  batch
                              logins:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      description: ID of the login used for execution
                                    name:
                                      type: string
                                      description: Name of the login used for execution
                                  required:
                                    - id
                                    - name
                              authentications:
                                type: array
                                items:
                                  $ref: '#/components/schemas/Union_2'
                                description: Authentication responses for this execution
                              startTime:
                                type: string
                                format: date-time
                                description: When the execution started
                              params:
                                type: object
                                additionalProperties: {}
                                description: Execution parameters
                              metadata:
                                type: object
                                additionalProperties: {}
                                description: Execution metadata
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: Execution name
                              startBlock:
                                oneOf:
                                  - $ref: '#/components/schemas/Login_6'
                                  - $ref: '#/components/schemas/FormBlock_7'
                                  - $ref: '#/components/schemas/FillDocument_8'
                                  - $ref: '#/components/schemas/FillSpreadsheet_9'
                                  - $ref: '#/components/schemas/MouseBlock_10'
                                  - $ref: '#/components/schemas/HoverBlock_11'
                                  - $ref: '#/components/schemas/Search_12'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: Input
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        oneOf:
                                          - $ref: '#/components/schemas/Union_13'
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: SensitiveTextInput
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: Dropdown
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: NativeDropdown
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                          - type: object
                                            properties:
                                              key:
                                                type: string
                                              mode:
                                                type: string
                                                enum:
                                                  - code
                                                  - aiInference
                                              useVision:
                                                type: boolean
                                              inputType:
                                                type: string
                                                const: Checkbox
                                              value:
                                                type: string
                                            required:
                                              - key
                                              - inputType
                                              - value
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Input
                                  - $ref: '#/components/schemas/DateInput_16'
                                  - $ref: '#/components/schemas/Dropdown_17'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: Extract
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_prompt_schema_useVision_18
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Extract
                                  - $ref: '#/components/schemas/ParseDocument_20'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: ExtractFromInput
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_inputText_prompt_schema_21
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: Generate
                                  - $ref: '#/components/schemas/ExtractImages_23'
                                  - $ref: '#/components/schemas/QueryKnowledgeBase_24'
                                  - $ref: '#/components/schemas/FindDocument_25'
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      blockReferenceId:
                                        type: string
                                      type:
                                        type: string
                                        const: API
                                      locator:
                                        oneOf:
                                          - $ref: '#/components/schemas/ElementLocator'
                                          - type: 'null'
                                      isCacheable:
                                        type: boolean
                                      skipIfNotPresent:
                                        type: boolean
                                      useWorkflowRecoveryAgent:
                                        type: boolean
                                      data:
                                        $ref: >-
                                          #/components/schemas/Object_method_route_data_26
                                      parentRelationship:
                                        type: object
                                        properties:
                                          blockDepth:
                                            type: number
                                          positionInSequence:
                                            type: number
                                          parentBlockId:
                                            type:
                                              - string
                                              - 'null'
                                          parentSequenceId:
                                            type:
                                              - string
                                              - 'null'
                                            enum:
                                              - sequence
                                              - trueSequence
                                              - falseSequence
                                        required:
                                          - blockDepth
                                          - positionInSequence
                                          - parentBlockId
                                          - parentSequenceId
                                    required:
                                      - id
                                      - name
                                      - blockReferenceId
                                      - type
                                      - isCacheable
                                      - skipIfNotPresent
                                      - useWorkflowRecoveryAgent
                                      - data
                                      - parentRelationship
                                    title: API
                                  - $ref: '#/components/schemas/Navigate_28'
                                  - $ref: '#/components/schemas/ClosePage_29'
                                  - $ref: '#/components/schemas/ClosePopup_30'
                                  - $ref: '#/components/schemas/Multistep_31'
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_32
                                  - $ref: '#/components/schemas/Wait_33'
                                  - $ref: '#/components/schemas/WaitForCondition_34'
                                  - $ref: >-
                                      #/components/schemas/WaitForCaptchaSolve_35
                                  - $ref: '#/components/schemas/FailOnCondition_36'
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_37
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_38
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_39
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_40
                                  - $ref: >-
                                      #/components/schemas/Object_id_name_blockReferenceId_41
                                  - $ref: '#/components/schemas/DownloadFileBlock_42'
                                  - $ref: '#/components/schemas/SaveAsPDFBlock_43'
                                  - $ref: '#/components/schemas/CodeV2_44'
                                  - $ref: '#/components/schemas/Transform_45'
[...]
